---
version: "3.1"

services:
  rabbitmq:
    image: rabbitmq:3-management-alpine
    container_name: rabbitmq
    restart: always
    ports:
      - "5672:5672"
      - "15672:15672"
    volumes:
      - "/home/{{ app_user }}/rabbitmq/plugins/rabbitmq_message_deduplication-v3.8.x_0.4.5.ez:/opt/rabbitmq/plugins/rabbitmq_message_deduplication-v3.8.x_0.4.5.ez"
      - "/home/{{ app_user }}/rabbitmq/plugins/elixir-1.8.2.ez:/opt/rabbitmq/plugins/elixir-1.8.2.ez"
      - "/home/{{ app_user }}/rabbitmq/enabled_plugins:/etc/rabbitmq/enabled_plugins:ro"
      - "/home/{{ app_user }}/rabbitmq/log:/data/log:rw"
      - "/home/{{ app_user }}/rabbitmq/data:/data/mnesia:rw"
    environment:
      RABBITMQ_DEFAULT_VHOST: {{ celery_vhost }}
      RABBITMQ_DEFAULT_USER: {{ celery_user }}
      RABBITMQ_DEFAULT_PASS: {{ celery_password }}
